SNEK-DUEMILANOVE-INSTALL(1)

NAME
snek-duemilanove-instal - Install Snek to Duemilanove

SYNOPSIS
snek-duemilanove-install [OPTION]... [COMMAND]

DESCRIPTION
snek-duemilanove-install installs the Snek programming language on an ATmega328P Duemilanove board using the Optiboot boot loader.

OPTIONS

-hex <snek.hex>
    Specifies the hex file to load to the board. The default is the currently installed version of Snek.

-port <port>
    Specifies the serial port to use. The default is /dev/ttyUSB0.

-mcu <MCU name>
    Specifies which micro controller to expect to find on the board. Some boards have m328 while others have m328p. The default is atmega328p, but if you get an error message indicating a mismatch, you can try the other.

OPTIBOOT
Snek for the Duemilanove requires Optiboot. If your board does not already have Optiboot, you can use the Arduino IDE to install Optiboot on your Duemilanove. Follow the instructions on the Optiboot web site: https://github.com/Optiboot/optiboot to learn how to do that.

AUTHOR
Keith Packard